<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-buttons slot="end">
      <ion-button (click)="getUsers()" icon-only>
        <ion-icon name="refresh"></ion-icon>
      </ion-button>
      <ion-button (click)="downloadExcel()" icon-start outline>
        <ion-icon name="download"></ion-icon>Descargar
      </ion-button>
      <ion-button (click)="addUser()" icon-start outline>
        <ion-icon name="person-add"></ion-icon>
        {{ "Nuevo Usuario" }}
      </ion-button>
    </ion-buttons>
    <ion-title>
      <span *ngIf="isLoading"
        ><i>{{ "Cargando" }} {{ "Usuarios" }} ... </i></span
      >
      <span *ngIf="!isLoading">{{ "Lista" }} {{ "de" }} {{ "Usuarios" }}</span>
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <ion-card class="background-theme">
    <ion-card-content class="ion-padding" hide-fab class="background">
      <ion-grid class="ion-no-padding">
        <ion-row>
          <ion-col class="ion-no-padding">
            <ion-item class="ion-no-padding">
              <!-- <ion-input #inputSearch type="text" [(ngModel)]="usuario" name="title" placeholder="{{'FIRST_NAME_OR_LAST_NAME' }}"></ion-input> -->
              <ion-searchbar
                class="searchBar"
                #inputSearch
                [(ngModel)]="user"
                placeholder="{{ '¿QUE ESTAS BUSCANDO?' }}"
                (ionInput)="getItems($event)"
              ></ion-searchbar>
            </ion-item>
          </ion-col>
        </ion-row>
      </ion-grid>
      <br />
      <ion-grid class="table">
        <ion-row
          *ngFor="let u of users; let i = index"
          [ngClass]="[
            i % 2 == 1 ? 'row_color' : '',
            hide_sm ? 'row_padding' : '',
            1 == 1 ? 'hoverable' : ''
          ]"
          class="ion-align-items-start ion-justify-content-around"
          border-bottom
        >
          <ion-col col-sm-12 col-12 class="ion-align-self-center">
            <ion-item style="background-color: transparent;">
              <ion-label class="ion-text-wrap">
                <ion-text>
                  <b>{{ "EMAIL" }}:</b> {{ u.email }} <br />
                  <b>{{ "NAME" }}:</b> {{ u.last_name }}, {{ u.first_name }}
                  <br />
                  <b>{{ "DNI" }}:</b> {{ u.dni }} <br />
                  <b>{{ "PHONE" }}:</b> {{ u.phone }} <br />
                  <b>{{ "GROUP" }}:</b>
                  {{ u["user-group"] ? u["user-group"][0].group[0].name :
                  "Usuarios" }}
                  <br />
                </ion-text>
              </ion-label>
              <ion-button item-end (click)="delete(i)" class="table-button">
                <ion-icon name="trash"></ion-icon>
              </ion-button>
              <ion-button item-end (click)="edit(i)" class="table-button">
                <ion-icon name="create"></ion-icon>
              </ion-button>
            </ion-item>
          </ion-col>
        </ion-row>
        <br />
        <!-- <ion-infinite-scroll (ionInfinite)="$event.waitFor(doInfinite($event))">
      <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="{{'CARGANDO USUARIOS' }}">
      </ion-infinite-scroll-content>
    </ion-infinite-scroll> -->
      </ion-grid>
    </ion-card-content>
  </ion-card>
  <!-- <ion-fab bottom right>
    <ion-button ion-fab mini color="primary" (click)="scrollToTop()">
      <ion-icon name="arrow-up"></ion-icon>
    </ion-button>
  </ion-fab> -->
</ion-content>
